using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using BeginningtoMock.Part2.Business;

namespace BeginningtoMock.Part2.Data
{
    public class BooksDataAccess : IBooksDataAccess
    {
        internal ISqlDatabase database;

        public BooksDataAccess(ISqlDatabase sqlDatabase)
        {
            database = sqlDatabase;
        }

        public List<Book> GetAllBooks()
        {
            string sql = GetAllBooksSql();
            database.CreateConnection();
            DataTable dataTable = database.ExecuteReader(CommandType.Text, sql);
            return CreateBookListFromDataTable(dataTable);
        }

        public List<Book> CreateBookListFromDataTable(DataTable dataTable)
        {
            List<Book> bookList = new List<Book>();
            foreach (DataRow r in dataTable.Rows)
            {
                Book b = new Book((int)r[0], (string) r[1], (double) r[2]);
                bookList.Add(b);
            }

            return bookList;
        }

        internal string GetAllBooksSql()
        {
            return "SELECT * FROM Books";
        }
    }
}