using System;
using System.Collections.Generic;
using System.Text;
using BeginningtoMock.Part2.Business;
using BeginningtoMock.Part2.Data;

namespace BeginningtoMock.Part2.UI
{
    class Program
    {
        static void Main(string[] args)
        {
            SqlDatabase sqlDb = new SqlDatabase(Properties.Settings.Default.Database);
            sqlDb.CreateConnection();

            BooksDataAccess dal = new BooksDataAccess(sqlDb);
            BookService bookService = new BookService(dal);
            List<Book> books = bookService.GetAllBooks();

            foreach (Book book in books)
            {
                Console.WriteLine("{0} {1} {2}", book.ID, book.Title, book.Price);
            }

            Console.ReadLine();
        }
    }
}